local appDef = import './app-definitions.libsonnet';

appDef.helmApplication(
    name="vault",
    sourceRepoUrl="https://helm.releases.hashicorp.com",
    sourceChart="vault",
    sourceTargetRevision="0.25.0",
    helmValues={
        global: {
            namespace: "vault"
        },
        ui: {
            enabled: true
        },
        serverTelemetry: {
            serviceMonitor: {
                enabled: true
            }
        },
        server: {
            ingress: {
                enabled: true,
                ingressClassName: "traefik",
                hosts: [
                    {
                        host: "vault.avril",
                        paths: []
                    }
                ]
            },
            dataStorage: {
                size: "20Gi",
                storageClass: "freenas-iscsi-csi"
            }
        }
    }
)